## haruna 1.2.1

=== debian/changelog ===
haruna (1.2.1-2) unstable; urgency=medium

  * Merge changes from Ubuntu.
  * debian/control: Add missing qml module:
    + qml6-module-org-kde-desktop.
  * debian/control: Add version requirement on pkg-kde-tools to ensure
    package building correctness.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Dec 2024 21:27:41 -0500

haruna (1.2.1-1ubuntu1) plucky; urgency=medium

  * Add missing qml modules for dh_qmldeps.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Nov 2024 07:33:47 +0000

haruna (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Fix upstream monitoring script.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Nov 2024 13:22:23 -0500

haruna (1.1.1-1) unstable; urgency=medium

  * New upstream release.
    + Migrate to KF6 and Qt6.
  * debian/: Migrate to new packaging.
  * debian/qmldepends.overrides: Added to override internal qml
    dependency lookup.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Nov 2024 12:52:57 -0500

=== debian/control ===
Source: haruna
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream <!nocheck>,
 breeze-dev,
 cmake (>= 3.15),
 debhelper-compat (= 13),
 dh-sequence-kf6,
 dh-sequence-qmldeps,
 extra-cmake-modules,
 kirigami2-dev,
 libavcodec-dev,
 libavdevice-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libkf6colorscheme-dev,
 libkf6config-dev,
 libkf6coreaddons-dev,
 libkf6crash-dev,
 libkf6filemetadata-dev,
 libkf6i18n-dev,
 libkf6iconthemes-dev,
 libkf6kio-dev,
 libkf6windowsystem-dev,
 libkirigami-dev,
 libmpvqt-dev,
 pkg-kde-tools (>= 0.18.10~),
 pkgconf,
 qml6-module-org-kde-desktop,
 qml6-module-org-kde-kquickcontrols,
 qml6-module-qt-labs-platform,
 qml6-module-qt5compat-graphicaleffects,
 qml6-module-qtcore,
 qml6-module-qtquick,
 qml6-module-qtquick-window,
 qt6-5compat-dev,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-declarative-private-dev,
 yt-dlp,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/haruna
Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/haruna

Package: haruna
Architecture: any
Depends:
 ${misc:Depends},
 ${qml6:Depends},
 ${shlibs:Depends},
Recommends:
 yt-dlp,
Description: Video player built with Qt/QML on top of libmpv
 Haruna is an open source video player built with Qt/QML on top of
 libmpv.
 .
 Compared with other video player frontends, it provides some special
 features, such as:
   * play online videos, through youtube-dl
   * toggle playlist with mouse-over, playlist overlays the video
   * auto skip chapter containing certain words
   * configurable shortcuts and mouse buttons
   * quick jump to next chapter by middle click on progress bar

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

## haruna 1.3.0

=== debian/changelog ===
haruna (1.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (1.3.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2025 17:49:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -46,8 +47,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
-Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/haruna
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/haruna
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/haruna
 
 Package: haruna
 Architecture: any

## haruna 1.3.2

=== debian/changelog ===
haruna (1.3.2-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1095589)

 -- Boyuan Yang <byang@debian.org>  Sun, 09 Feb 2025 09:21:14 -0500

haruna (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 00:39:36 -0500

haruna (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jan 2025 12:40:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,7 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  appstream <!nocheck>,
  breeze-dev,
@@ -47,8 +44,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/haruna
-Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/haruna
+Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/haruna
 
 Package: haruna
 Architecture: any

## haruna 1.3.3

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

cmake_minimum_required(VERSION 3.15)

cmake_policy(SET CMP0048 NEW)
project(haruna VERSION 1.3.3 LANGUAGES CXX)

set(QT_QML_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths to make Qt Creator happy")

set(QT_MIN_VERSION 6.6.0)
set(KF6_MIN_VERSION 6.0.0)

include(FeatureSummary)

find_package(ECM ${KF6_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/ecm/"
    DESCRIPTION "extra cmake modules")
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(DBUS_PLATFORMS Linux FreeBSD GNU/kFreeBSD NetBSD OpenBSD)

find_package(Qt6Core ${QT_MIN_VERSION})
set_package_properties(Qt6Core PROPERTIES TYPE REQUIRED)

find_package(Qt6Core5Compat ${QT_MIN_VERSION})
set_package_properties(Qt6Core5Compat PROPERTIES TYPE REQUIRED)

find_package(Qt6Gui ${QT_MIN_VERSION})
set_package_properties(Qt6Gui PROPERTIES TYPE REQUIRED)

find_package(Qt6Qml ${QT_MIN_VERSION})
set_package_properties(Qt6Qml PROPERTIES TYPE REQUIRED)

find_package(Qt6Quick ${QT_MIN_VERSION})
set_package_properties(Qt6Quick PROPERTIES TYPE REQUIRED)

find_package(Qt6QuickControls2 ${QT_MIN_VERSION})
set_package_properties(Qt6QuickControls2 PROPERTIES TYPE REQUIRED)

set(HAVE_DBUS FALSE)
if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
    find_package(Qt6DBus ${QT_MIN_VERSION})
    set_package_properties(Qt6DBus PROPERTIES TYPE REQUIRED)
    set(HAVE_DBUS TRUE)
endif ()
configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-haruna.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/src/config-haruna.h
)

find_package(MpvQt)
set_package_properties(MpvQt PROPERTIES TYPE REQUIRED
    URL "https://invent.kde.org/libraries/mpvqt")

find_package(FFmpeg)
set_package_properties(FFmpeg PROPERTIES TYPE REQUIRED
    URL "https://ffmpeg.org"
    DESCRIPTION "needed for playlist and mpris thumbnails")

find_package(Breeze)
set_package_properties(Breeze PROPERTIES TYPE RECOMMENDED
    URL "https://api.kde.org/frameworks/breeze-icons/html/index.html")

find_package(KF6ColorScheme ${KF6_MIN_VERSION})
set_package_properties(KF6ColorScheme PROPERTIES TYPE REQUIRED
    URL "https://invent.kde.org/frameworks/kcolorscheme")

find_package(KF6Config ${KF6_MIN_VERSION})
set_package_properties(KF6Config PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kconfig/html/index.html")

find_package(KF6CoreAddons ${KF6_MIN_VERSION})
set_package_properties(KF6CoreAddons PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kcoreaddons/html/index.html")

find_package(KF6FileMetaData ${KF6_MIN_VERSION})
set_package_properties(KF6FileMetaData PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kfilemetadata/html/index.html")

find_package(KF6I18n ${KF6_MIN_VERSION})
set_package_properties(KF6I18n PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/ki18n/html/index.html")

find_package(KF6IconThemes ${KF6_MIN_VERSION})
set_package_properties(KF6IconThemes PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kiconthemes/html/index.html")

find_package(KF6KIO ${KF6_MIN_VERSION})
set_package_properties(KF6KIO PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kio/html/index.html")

find_package(KF6Kirigami ${KF6_MIN_VERSION})
set_package_properties(KF6Kirigami PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kirigami/html/index.html")

find_package(KF6WindowSystem ${KF6_MIN_VERSION})
set_package_properties(KF6WindowSystem PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kwindowsystem/html/index.html")

find_package(KF6Crash ${KF6_MIN_VERSION})
set_package_properties(KF6Crash PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kcrash/html/index.html")

find_package(Ytdlp)
set_package_properties(Ytdlp PROPERTIES TYPE RUNTIME
    URL "https://github.com/yt-dlp/yt-dlp"
    DESCRIPTION "needed to play videos from youtube and other online sources")

find_package(KDSingleApplication-qt6 QUIET)
if(KDSingleApplication-qt6_FOUND)
    message(STATUS "Using system KDSingleApplication")
else()
    message(STATUS "Using bundled KDSingleApplication")
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(KDEInstallDirs)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

include(ECMSetupVersion)
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX HARUNA
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/haruna-version.h"
)

ki18n_install(po)

add_subdirectory(data)
add_subdirectory(src)

=== src/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

# DATA_ICONS is defined in data/CMakeLists.txt
ecm_add_app_icon(ICONS_SRCS ICONS ${DATA_ICONS})

qt_standard_project_setup(REQUIRES 6.5)

qt_add_executable(haruna)

target_sources(haruna
    PRIVATE
    application.h application.cpp
    framedecoder.h framedecoder.cpp
    global.h global.cpp
    main.cpp
    models/actionsmodel.h models/actionsmodel.cpp
    models/chaptersmodel.h models/chaptersmodel.cpp
    models/customcommandsmodel.h models/customcommandsmodel.cpp
    models/recentfilesmodel.h models/recentfilesmodel.cpp
    models/subtitlesfoldersmodel.h models/subtitlesfoldersmodel.cpp
    models/tracksmodel.h models/tracksmodel.cpp
    models/playlistmodel.h models/playlistmodel.cpp
    mpv/mpvitem.h mpv/mpvitem.cpp
    mpv/mpvpreview.h mpv/mpvpreview.cpp
    mpv/mpvproperties.h
    thumbnailimageprovider.h thumbnailimageprovider.cpp
    worker.h worker.cpp
    ${ICONS_SRCS}
)

if (NOT KDSingleApplication-qt6_FOUND)
    target_sources(haruna
        PRIVATE
        KDSingleApplication/kdsingleapplication_localsocket_p.h KDSingleApplication/kdsingleapplication_localsocket.cpp
        KDSingleApplication/kdsingleapplication.h KDSingleApplication/kdsingleapplication.cpp
    )
endif()

if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
    qt_add_dbus_interface(haruna_screensaver_inhibit_SRCS ../org.freedesktop.ScreenSaver.xml screensaverdbusinterface)
    target_sources(haruna
        PRIVATE
        lockmanager.h lockmanager.cpp
        mpris2/mediaplayer2.h mpris2/mediaplayer2.cpp
        mpris2/mediaplayer2player.h mpris2/mediaplayer2player.cpp
        ${haruna_screensaver_inhibit_SRCS}
    )
    target_include_directories(haruna
        PRIVATE
            mpris2
            ${CMAKE_CURRENT_BINARY_DIR}
    )
endif()

kconfig_add_kcfg_files(haruna GENERATE_MOC settings/audiosettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/generalsettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/informationsettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/mousesettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playbacksettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playlistsettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)

qt_policy(SET QTP0001 NEW)

qt_add_qml_module(haruna
    URI org.kde.haruna
    VERSION 1.0
    QML_FILES
        qml/Actions.qml
        qml/Footer.qml
        qml/Header.qml
        qml/HProgressBar.qml
        qml/MenuBarLoader.qml
        qml/MpvVideo.qml
        qml/Osd.qml
        qml/PlayList.qml
        qml/PlayListItem.qml
        qml/PlayListItemCompact.qml
        qml/PlayListItemWithThumbnail.qml
        qml/VolumeSlider.qml
        qml/Main.qml

        qml/Haruna/Components/AudioTracksMenu.qml
        qml/Haruna/Components/ColorPickerButton.qml
        qml/Haruna/Components/HamburgerMenu.qml
        qml/Haruna/Components/ImageAdjustmentSlider.qml
        qml/Haruna/Components/InputPopup.qml
        qml/Haruna/Components/LabelWithTooltip.qml
        qml/Haruna/Components/SelectActionPopup.qml
        qml/Haruna/Components/SettingsBasePage.qml
        qml/Haruna/Components/SettingsHeader.qml
        qml/Haruna/Components/SubtitlesFolders.qml
        qml/Haruna/Components/SubtitleTracksMenu.qml
        qml/Haruna/Components/ToolTipButton.qml

        qml/Menus/AudioMenu.qml
        qml/Menus/ContextMenu.qml
        qml/Menus/FileMenu.qml
        qml/Menus/HelpMenu.qml
        qml/Menus/PlaybackMenu.qml
        qml/Menus/SettingsMenu.qml
        qml/Menus/SubtitlesMenu.qml
        qml/Menus/VideoMenu.qml
        qml/Menus/ViewMenu.qml
        qml/Menus/Global/GlobalAudioMenu.qml
        qml/Menus/Global/GlobalFileMenu.qml
        qml/Menus/Global/GlobalHelpMenu.qml
        qml/Menus/Global/GlobalPlaybackMenu.qml
        qml/Menus/Global/GlobalSettingsMenu.qml
        qml/Menus/Global/GlobalSubtitlesMenu.qml
        qml/Menus/Global/GlobalVideoMenu.qml
        qml/Menus/Global/GlobalViewMenu.qml

        qml/Settings/GeneralSettings.qml
        qml/Settings/PlaybackSettings.qml
        qml/Settings/VideoSettings.qml
        qml/Settings/AudioSettings.qml
        qml/Settings/SubtitlesSettings.qml
        qml/Settings/PlaylistSettings.qml
        qml/Settings/MouseSettings.qml
        qml/Settings/ShortcutsSettings.qml
        qml/Settings/CustomCommandsSettings.qml
        qml/Settings/EditCustomCommand.qml
        qml/Settings/DebugSettings.qml
        qml/Settings/SettingsWindow.qml
)

target_include_directories(haruna
    PRIVATE
        models
        mpv
        ${FFMPEG_INCLUDE_DIRS}
)

if (NOT KDSingleApplication-qt6_FOUND)
    target_include_directories(haruna
        PRIVATE
        KDSingleApplication
    )
endif()

target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(haruna PRIVATE
    Qt6::Core
    Qt6::Core5Compat
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    Qt6::QuickControls2

    KF6::ColorScheme
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::FileMetaData
    KF6::I18n
    KF6::IconThemes
    KF6::KIOWidgets
    KF6::Kirigami
    KF6::WindowSystem
    KF6::Crash

    MpvQt::MpvQt
    ${AVUTIL_LIBRARIES}
    ${AVFILTER_LIBRARIES}
    ${AVFORMAT_LIBRARIES}
    ${AVCODEC_LIBRARIES}
    ${SWSCALE_LIBRARIES}
)
if(KDSingleApplication-qt6_FOUND)
    target_link_libraries(haruna PRIVATE
        KDAB::kdsingleapplication
    )
endif()

if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
    target_link_libraries(haruna PRIVATE
        Qt6::DBus
    )
endif()
install(TARGETS haruna DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
haruna (1.3.3-2ubuntu2~ppa1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 24 Mar 2025 21:13:40 -0500

haruna (1.3.3-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 20 Mar 2025 09:40:49 +0000

haruna (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop empty DEB_LDFLAGS_MAINT_APPEND in debian/rules.
  * Drop the appstream build dependency: it is not needed to check the AppStream
    files at build time.
  * Add the configuration for the CI on salsa.
  * Add the libkdsingleapplication-qt6-dev build dependency to use
    KDSingleApplication as available as system library rather than the embedded
    copy.
  * Drop an unused license from debian/copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 20 Mar 2025 09:29:46 +0100

haruna (1.3.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.3.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 09:56:12 +0100

haruna (1.3.2-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Move package under the Qt/KDE Extras Team’s umbrella. (Closes:
    #1095589)
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 22:59:06 +0100

=== debian/control ===
Source: haruna
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               breeze-dev,
               cmake (>= 3.15),
               extra-cmake-modules (>= 6.0.0~),
               kirigami2-dev,
               libavcodec-dev,
               libavdevice-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libkdsingleapplication-qt6-dev,
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6filemetadata-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libmpvqt-dev,
               pkg-kde-tools (>= 0.18.10~),
               pkgconf,
               qml6-module-org-kde-desktop,
               qml6-module-org-kde-kquickcontrols,
               qml6-module-qt-labs-platform,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtcore,
               qml6-module-qtquick,
               qml6-module-qtquick-window,
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev,
               yt-dlp,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/haruna
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/haruna.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/haruna

Package: haruna
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: yt-dlp,
Description: Video player built with Qt/QML on top of libmpv
 Haruna is an open source video player built with Qt/QML on top of
 libmpv.
 .
 Compared with other video player frontends, it provides some special
 features, such as:
   * play online videos, through youtube-dl
   * toggle playlist with mouse-over, playlist overlays the video
   * auto skip chapter containing certain words
   * configurable shortcuts and mouse buttons
   * quick jump to next chapter by middle click on progress bar

## haruna 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 cmake_policy(SET CMP0048 NEW)
-project(haruna VERSION 1.3.3 LANGUAGES CXX)
+project(haruna VERSION 1.4.0 LANGUAGES CXX)
 
 set(QT_QML_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
 set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths to make Qt Creator happy")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -99,7 +99,7 @@
         qml/Haruna/Components/ToolTipButton.qml
 
         qml/Menus/AudioMenu.qml
-        qml/Menus/ContextMenu.qml
+        qml/Menus/MpvContextMenu.qml
         qml/Menus/FileMenu.qml
         qml/Menus/HelpMenu.qml
         qml/Menus/PlaybackMenu.qml

=== debian/changelog ===
haruna (1.4.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 15:35:22 +0200

haruna (1.4.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.4.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 00:17:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -44,7 +43,7 @@
                yt-dlp,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://invent.kde.org/multimedia/haruna
+Homepage: https://haruna.kde.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/haruna.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/haruna

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
 https://download.kde.org/stable/haruna/@ANY_VERSION@/ \
 haruna-([\d.]+)\.tar\.xz

## haruna 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #
 # SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
 #
-# SPDX-License-Identifier: GPL-3.0-or-later
+# SPDX-License-Identifier: BSD-3-Clause
 #
 
 cmake_minimum_required(VERSION 3.15)
 
 cmake_policy(SET CMP0048 NEW)
-project(haruna VERSION 1.4.0 LANGUAGES CXX)
+project(haruna VERSION 1.5.0 LANGUAGES CXX)
 
 set(QT_QML_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
 set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths to make Qt Creator happy")
@@ -42,6 +42,9 @@
 
 find_package(Qt6QuickControls2 ${QT_MIN_VERSION})
 set_package_properties(Qt6QuickControls2 PROPERTIES TYPE REQUIRED)
+
+find_package(Qt6Sql ${QT_MIN_VERSION})
+set_package_properties(Qt6Sql PROPERTIES TYPE REQUIRED)
 
 set(HAVE_DBUS FALSE)
 if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
@@ -107,17 +110,15 @@
 set_package_properties(KF6Crash PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kcrash/html/index.html")
 
+find_package(KDSingleApplication-qt6)
+set_package_properties(KDSingleApplication-qt6 PROPERTIES TYPE REQUIRED
+    URL "https://github.com/KDAB/KDSingleApplication"
+    DESCRIPTION "helper class for single-instance policy applications")
+
 find_package(Ytdlp)
 set_package_properties(Ytdlp PROPERTIES TYPE RUNTIME
     URL "https://github.com/yt-dlp/yt-dlp"
     DESCRIPTION "needed to play videos from youtube and other online sources")
-
-find_package(KDSingleApplication-qt6 QUIET)
-if(KDSingleApplication-qt6_FOUND)
-    message(STATUS "Using system KDSingleApplication")
-else()
-    message(STATUS "Using bundled KDSingleApplication")
-endif()
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
haruna (1.5.0-0zneon+24.04+noble+release+build11) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 20:49:53 +0000

haruna (1.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 20:47:36 +0000

haruna (1.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Apr 2025 20:47:36 +0000

haruna (1.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 20:47:46 +0000

haruna (1.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 23 Jan 2025 20:47:28 +0000

haruna (1.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Jan 2025 20:47:30 +0000

haruna (1.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jan 2025 20:47:35 +0000

haruna (1.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 27 Sep 2024 20:47:36 +0000

haruna (1.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 May 2024 20:47:24 +0000

haruna (1.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 19 Apr 2024 20:47:26 +0000

haruna (1.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 20:47:18 +0000

haruna (1.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Mar 2024 20:47:19 +0000

haruna (1.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Mar 2024 20:47:20 +0000

haruna (0.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Nov 2023 20:47:21 +0000

haruna (0.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Nov 2023 20:47:21 +0000

haruna (0.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 31 Aug 2023 20:47:18 +0000

haruna (0.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 25 Aug 2023 20:47:19 +0000

haruna (0.11.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Jul 2023 20:47:20 +0000

haruna (0.11.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 29 May 2023 20:47:21 +0000

haruna (0.11.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2023 20:47:20 +0000

haruna (0.10.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 29 Jan 2023 20:47:21 +0000

haruna (0.10.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Jan 2023 20:47:20 +0000

haruna (0.10.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 20:47:21 +0000

haruna (0.9.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Sep 2022 13:55:06 +0000

haruna (0.8.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Apr 2022 20:47:17 +0000

haruna (0.7.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Nov 2021 20:47:05 +0000

haruna (0.7.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 27 Sep 2021 20:47:05 +0000

haruna (0.7.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 23 Sep 2021 20:47:04 +0000

haruna (0.7.0-0neon) unstable; urgency=medium

  * New upstream release.

 -- David Cahalane <david@narodnik.net>  Wed, 25 Aug 2021 21:15:02 -0400

=== debian/control ===
Source: haruna
Section: video
Priority: optional
Uploaders: Boyuan Yang <byang@debian.org>
Build-Depends: breeze-dev,
               cmake (>= 3.15),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               libavcodec-dev,
               libavfilter-dev,
               libavutil-dev,
               libkdsingleapplication-qt6-dev,
               libmpv-dev,
               libswscale-dev,
               mpvqt-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/haruna
Vcs-Git: https://invent.kde.org/neon/neon-packaging/haruna.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/haruna
Maintainer: Neon CI <neon@kde.org>

Package: haruna
Architecture: any
Depends: mpvqt,
         qml6-module-org-kde-kirigami2,
         qml6-module-qt-labs-platform,
         qml6-module-qtquick-shapes,
         yt-dlp,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Video player built with Qt/QML on top of libmpv
 Haruna is an open source video player built with Qt/QML on top of
 libmpv.
 .
 Compared with other video player frontends, it provides some special
 features, such as:
   * play online videos, through youtube-dl
   * toggle playlist with mouse-over, playlist overlays the video
   * auto skip chapter containing certain words
   * configurable shortcuts and mouse buttons
   * quick jump to next chapter by middle click on progress bar

## haruna 1.5.0+p24.04+vstable+git20251003.1115

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251003.1115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:15:58 +0000

## haruna 1.5.0+p24.04+vstable+git20251005.1055

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251005.1055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:55:07 +0000

## haruna 1.5.0+p24.04+vstable+git20251019.0217

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251019.0217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:17:11 +0000

## haruna 1.5.0+p24.04+vstable+git20251020.0102

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251020.0102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:02:52 +0000

## haruna 1.5.0+p24.04+vstable+git20251021.0317

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251021.0317-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:17:03 +0000

## haruna 1.5.0+p24.04+vstable+git20251024.0243

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251024.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:43:30 +0000

## haruna 1.5.0+p24.04+vstable+git20251030.0409

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
 #
-# SPDX-License-Identifier: GPL-3.0-or-later
+# SPDX-License-Identifier: BSD-3-Clause
 #
 
 # DATA_ICONS is defined in data/CMakeLists.txt
@@ -14,16 +14,23 @@
 target_sources(haruna
     PRIVATE
     application.h application.cpp
+    database.h database.cpp
     framedecoder.h framedecoder.cpp
-    global.h global.cpp
+    lockmanager.h lockmanager.cpp
     main.cpp
     models/actionsmodel.h models/actionsmodel.cpp
     models/chaptersmodel.h models/chaptersmodel.cpp
     models/customcommandsmodel.h models/customcommandsmodel.cpp
+    models/mouseactionsmodel.h models/mouseactionsmodel.cpp
     models/recentfilesmodel.h models/recentfilesmodel.cpp
     models/subtitlesfoldersmodel.h models/subtitlesfoldersmodel.cpp
     models/tracksmodel.h models/tracksmodel.cpp
-    models/playlistmodel.h models/playlistmodel.cpp
+    models/playlist/playlistmodel.h models/playlist/playlistmodel.cpp
+    models/playlist/playlistsortproxymodel.h models/playlist/playlistsortproxymodel.cpp
+    models/playlist/playlistproxymodel.h models/playlist/playlistproxymodel.cpp
+    models/playlist/playlistfilterproxymodel.h models/playlist/playlistfilterproxymodel.cpp
+    models/playlist/playlistmultiproxiesmodel.h models/playlist/playlistmultiproxiesmodel.cpp
+    models/playlist/playlistrenamevalidator.h models/playlist/playlistrenamevalidator.cpp
     mpv/mpvitem.h mpv/mpvitem.cpp
     mpv/mpvpreview.h mpv/mpvpreview.cpp
     mpv/mpvproperties.h
@@ -32,19 +39,16 @@
     ${ICONS_SRCS}
 )
 
-if (NOT KDSingleApplication-qt6_FOUND)
-    target_sources(haruna
-        PRIVATE
-        KDSingleApplication/kdsingleapplication_localsocket_p.h KDSingleApplication/kdsingleapplication_localsocket.cpp
-        KDSingleApplication/kdsingleapplication.h KDSingleApplication/kdsingleapplication.cpp
-    )
-endif()
+qt_add_resources(haruna sql_files
+    FILES
+        sql/create-recent_files-table.sql
+        sql/create-playback_position-table.sql
+)
 
 if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
     qt_add_dbus_interface(haruna_screensaver_inhibit_SRCS ../org.freedesktop.ScreenSaver.xml screensaverdbusinterface)
     target_sources(haruna
         PRIVATE
-        lockmanager.h lockmanager.cpp
         mpris2/mediaplayer2.h mpris2/mediaplayer2.cpp
         mpris2/mediaplayer2player.h mpris2/mediaplayer2player.cpp
         ${haruna_screensaver_inhibit_SRCS}
@@ -56,14 +60,9 @@
     )
 endif()
 
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/audiosettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/generalsettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/informationsettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/mousesettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playbacksettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playlistsettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)
+add_subdirectory(utilities)
+add_subdirectory(settings)
+add_subdirectory(youtube)
 
 qt_policy(SET QTP0001 NEW)
 
@@ -79,9 +78,6 @@
         qml/MpvVideo.qml
         qml/Osd.qml
         qml/PlayList.qml
-        qml/PlayListItem.qml
-        qml/PlayListItemCompact.qml
-        qml/PlayListItemWithThumbnail.qml
         qml/VolumeSlider.qml
         qml/Main.qml
 
@@ -97,6 +93,12 @@
         qml/Haruna/Components/SubtitlesFolders.qml
         qml/Haruna/Components/SubtitleTracksMenu.qml
         qml/Haruna/Components/ToolTipButton.qml
+
+        qml/Haruna/PlaylistItems/PlaylistItemDelegate.qml
+        qml/Haruna/PlaylistItems/PlayListItem.qml
+        qml/Haruna/PlaylistItems/PlayListItemCompact.qml
+        qml/Haruna/PlaylistItems/PlayListItemWithThumbnail.qml
+        qml/Haruna/PlaylistItems/PlaylistTabDelegate.qml
 
         qml/Menus/AudioMenu.qml
         qml/Menus/MpvContextMenu.qml
@@ -133,16 +135,10 @@
 target_include_directories(haruna
     PRIVATE
         models
+        models/playlist
         mpv
         ${FFMPEG_INCLUDE_DIRS}
 )
-
-if (NOT KDSingleApplication-qt6_FOUND)
-    target_include_directories(haruna
-        PRIVATE
-        KDSingleApplication
-    )
-endif()
 
 target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)
 
@@ -153,6 +149,7 @@
     Qt6::Qml
     Qt6::Quick
     Qt6::QuickControls2
+    Qt6::Sql
 
     KF6::ColorScheme
     KF6::ConfigCore
@@ -166,18 +163,19 @@
     KF6::WindowSystem
     KF6::Crash
 
+    KDAB::kdsingleapplication
+
     MpvQt::MpvQt
     ${AVUTIL_LIBRARIES}
     ${AVFILTER_LIBRARIES}
     ${AVFORMAT_LIBRARIES}
     ${AVCODEC_LIBRARIES}
     ${SWSCALE_LIBRARIES}
+
+    utilitiesplugin
+    settingsplugin
+    youtubeplugin
 )
-if(KDSingleApplication-qt6_FOUND)
-    target_link_libraries(haruna PRIVATE
-        KDAB::kdsingleapplication
-    )
-endif()
 
 if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
     target_link_libraries(haruna PRIVATE

=== src/utilities/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2025 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

find_package(Qt6 REQUIRED COMPONENTS Core)

qt_add_library(utilities STATIC)
qt_add_qml_module(utilities
    URI org.kde.haruna.utilities
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/haruna/utilities
    IMPORT_PATH ${CMAKE_BINARY_DIR}
    SOURCES
        pathutils.h
        pathutils.cpp
        systemutils.h
        systemutils.cpp
)

target_link_libraries(utilities PRIVATE
    Qt6::Core

    KF6::ConfigCore
    KF6::KIOWidgets
    KF6::WindowSystem
)

=== src/youtube/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2025 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

qt_add_library(youtube STATIC)
qt_add_qml_module(youtube
    URI org.kde.haruna.youtube
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/haruna/youtube
    IMPORT_PATH ${CMAKE_BINARY_DIR}
    SOURCES
        youtube.h
        youtube.cpp
)

target_link_libraries(youtube PRIVATE
    KF6::I18n
)

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251030.0409-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 04:09:44 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/haruna/([\d.]+)/haruna-([\d.]+)\.tar\.xz

## haruna 1.5.0+p24.04+vstable+git20251031.0937

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251031.0937-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:37:23 +0000

## haruna 1.6.0

=== data/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

set(ICONS_FOLDER ${PROJECT_SOURCE_DIR}/data/icons)
set(ICON_FILES
    ${ICONS_FOLDER}/sc-apps-haruna.svg
    ${ICONS_FOLDER}/16-apps-haruna.png
    ${ICONS_FOLDER}/22-apps-haruna.png
    ${ICONS_FOLDER}/32-apps-haruna.png
    ${ICONS_FOLDER}/44-apps-haruna.png
    ${ICONS_FOLDER}/48-apps-haruna.png
    ${ICONS_FOLDER}/64-apps-haruna.png
    ${ICONS_FOLDER}/128-apps-haruna.png
    ${ICONS_FOLDER}/150-apps-haruna.png
    ${ICONS_FOLDER}/256-apps-haruna.png
    ${ICONS_FOLDER}/310-apps-haruna.png
    ${ICONS_FOLDER}/512-apps-haruna.png
)

# used in src/CMakeLists.txt
set(DATA_ICONS ${ICON_FILES} PARENT_SCOPE)

ecm_install_icons(
    ICONS ${ICON_FILES}
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

install(FILES org.kde.haruna.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.haruna.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
haruna (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Oct 2025 09:11:59 +0200

haruna (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - drop kirigami2-dev, which is KF5
    - drop libavdevice-dev, and libavfilter-dev, not directly required
    - drop breeze-dev, and yt-dlp, which are runtime dependencies
    - drop qml6-module-org-kde-desktop, not used
    - add more QML dependencies: qml6-module-org-kde-config,
      qml6-module-org-kde-kitemmodels, qml6-module-qtquick-controls,
      qml6-module-qtquick-dialogs, qml6-module-qtquick-layouts, and
      qml6-module-qtquick-shapes
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Oct 2025 10:04:40 +0200

=== debian/control ===
Source: haruna
Section: video
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.15),
               extra-cmake-modules (>= 6.0.0~),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libkdsingleapplication-qt6-dev,
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6filemetadata-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libmpvqt-dev,
               pkg-kde-tools (>= 0.18.10~),
               pkgconf,
               qml6-module-org-kde-config,
               qml6-module-org-kde-kquickcontrols,
               qml6-module-org-kde-kitemmodels,
               qml6-module-qt-labs-platform,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtcore,
               qml6-module-qtquick,
               qml6-module-qtquick-controls,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-layouts,
               qml6-module-qtquick-shapes,
               qml6-module-qtquick-window,
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.2
Homepage: https://haruna.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/haruna.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/haruna

Package: haruna
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: yt-dlp,
Description: Video player built with Qt/QML on top of libmpv
 Haruna is an open source video player built with Qt/QML on top of
 libmpv.
 .
 Compared with other video player frontends, it provides some special
 features, such as:
   * play online videos, through youtube-dl
   * toggle playlist with mouse-over, playlist overlays the video
   * auto skip chapter containing certain words
   * configurable shortcuts and mouse buttons
   * quick jump to next chapter by middle click on progress bar

## haruna 1.6.0+p24.04+vstable+git20251231.0508

=== debian/changelog ===
haruna (1.6.0+p24.04+vstable+git20251231.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:08:56 +0000

haruna (1.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 10:47:36 +0000

## haruna 1.6.0+p24.04+vstable+git20260105.1214

=== debian/changelog ===
haruna (1.6.0+p24.04+vstable+git20260105.1214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:14:04 +0000

## haruna 1.6.0+p24.04+vunstable+git20251201.0320

=== src/playlist/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2025 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

qt_add_library(playlist STATIC)
qt_add_qml_module(playlist
    URI org.kde.haruna.playlist
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/haruna/playlist
    IMPORT_PATH ${CMAKE_BINARY_DIR}
    QML_FILES
        Playlist.qml
        PlaylistItemDelegate.qml
        PlaylistItem.qml
        PlaylistItemCompact.qml
        PlaylistItemWithThumbnail.qml
        PlaylistTabDelegate.qml
        PlaylistAdvancedSortWindow.qml
    SOURCES
        playlistmodel.h
        playlistmodel.cpp
        playlistsortproxymodel.h
        playlistsortproxymodel.cpp
        playlistproxymodel.h
        playlistproxymodel.cpp
        playlistfilterproxymodel.h
        playlistfilterproxymodel.cpp
        playlistmultiproxiesmodel.h
        playlistmultiproxiesmodel.cpp
        playlistrenamevalidator.h
        playlistrenamevalidator.cpp
        playlistmetadata.h
        playlistgrouppropertymodel.h
        playlistgrouppropertymodel.cpp
        playlistgrouppropertyproxymodel.h
        playlistgrouppropertyproxymodel.cpp
)

target_link_libraries(playlist PRIVATE
    Qt6::Core
    Qt6::Gui

    KF6::ConfigCore
    KF6::ConfigGui
    KF6::FileMetaData
    KF6::I18n
    KF6::KIOWidgets

    utilitiesplugin
    settingsplugin
    youtubeplugin
)

## haruna 1.6.0+p24.04+vunstable+git20251206.0807

=== debian/changelog ===
haruna (1.6.0+p24.04+vunstable+git20251206.0807-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:07:50 +0000

## haruna 1.6.0+p24.04+vunstable+git20251208.0246

=== debian/changelog ===
haruna (1.6.0+p24.04+vunstable+git20251208.0246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:46:32 +0000

## haruna 1.6.0+p24.04+vunstable+git20251209.0328

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 # SPDX-License-Identifier: BSD-3-Clause
 #
 
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.16...3.30)
 
 cmake_policy(SET CMP0048 NEW)
-project(haruna VERSION 1.5.0 LANGUAGES CXX)
+project(haruna VERSION 1.6.0 LANGUAGES CXX)
 
 set(QT_QML_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
 set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths to make Qt Creator happy")

=== debian/changelog ===
haruna (1.6.0+p24.04+vunstable+git20251209.0328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 03:28:03 +0000

## haruna 1.6.0+p24.04+vunstable+git20251211.0311

=== debian/changelog ===
haruna (1.6.0+p24.04+vunstable+git20251211.0311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:11:12 +0000
